[ltt-dev] [UST PATCH 3/3] support busybox for manual trace tests
Jason Wessel
jason.wessel at windriver.com
Wed Apr 27 16:22:16 EDT 2011
The busybox version of find does not support using -L, and it does not
appear to be needed in order to pass the test. In the interest of
being able to run internal UST tests on a busybox based rootfs,
appropriately detect if -L is available as an argument to find and use
it when it is available.
Signed-off-by: Jason Wessel <jason.wessel at windriver.com>
---
tests/manual_mode_tracing.sh | 9 ++++++++-
1 files changed, 8 insertions(+), 1 deletions(-)
diff --git a/tests/manual_mode_tracing.sh b/tests/manual_mode_tracing.sh
index 19044ba..f9bc793 100755
--- a/tests/manual_mode_tracing.sh
+++ b/tests/manual_mode_tracing.sh
@@ -43,7 +43,14 @@ UST_CONSUMERD_PID="$(<$pidfilepath)"
LIB_UST="$TESTDIR/../libust/.libs/libust.so.0.0.0"
LIB_UST_MALLOC="$TESTDIR/../libustinstr-malloc/.libs/libustinstr-malloc.so"
-LD_PRELOAD="$LIB_UST:$LIB_UST_MALLOC" find -L / >/dev/null 2>&1 &
+# Check to see if find supports -L
+find . -maxdepth 0 -L > /dev/null 2>&1
+if [ $? = 0 ] ; then
+ USE_L="-L"
+else
+ USE_L=""
+fi
+LD_PRELOAD="$LIB_UST:$LIB_UST_MALLOC" find $USE_L / >/dev/null 2>&1 &
PID=$!
TRACE=auto
USTCTL="$TESTDIR/../ustctl/ustctl"
--
1.7.1
More information about the lttng-dev
mailing list